Package org.drinkless.tdlib

# Class TdApi.ChatAvailableReactionsSome

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatAvailableReactions
org.drinkless.tdlib.TdApi.ChatAvailableReactionsSome

Enclosing class:
  TdApi

public static class TdApi.ChatAvailableReactionsSome extends TdApi.ChatAvailableReactions
Only specific reactions are available in the chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatAvailableReactions

  `TdApi.ChatAvailableReactions.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `maxReactionCount`
  The maximum allowed number of reactions per message; 1-11.
  `TdApi.ReactionType[]`
  `reactions`
  The list of reactions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatAvailableReactionsSome()`
  Only specific reactions are available in the chat.
  `ChatAvailableReactionsSome(TdApi.ReactionType[] reactions, int maxReactionCount)`
  Only specific reactions are available in the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### reactions

    public TdApi.ReactionType[] reactions
    The list of reactions.

  - ### maxReactionCount

    public int maxReactionCount
    The maximum allowed number of reactions per message; 1-11.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatAvailableReactionsSome

    public ChatAvailableReactionsSome()
    Only specific reactions are available in the chat.

  - ### ChatAvailableReactionsSome

    public ChatAvailableReactionsSome(TdApi.ReactionType[] reactions, int maxReactionCount)
    Only specific reactions are available in the chat.
    Parameters:
      `reactions` - The list of reactions.
      `maxReactionCount` - The maximum allowed number of reactions per message; 1-11.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatAvailableReactions`
    Returns:
      this.CONSTRUCTOR